"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = writing;

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

function writing(_x) {
  return _writing.apply(this, arguments);
}

function _writing() {
  _writing = _asyncToGenerator(function* (yo) {
    yo.fs.copyTpl(yo.templatePath('template/shared/src/**'), yo.destinationPath('src'), yo.context);

    if (yo.context.bin) {
      yo.fs.copy(yo.templatePath('template/shared/bin'), yo.destinationPath('bin'));
    }

    if (!yo.context.lock) {
      yo.fs.copy(yo.templatePath('template/shared/_npmrc'), yo.destinationPath('.npmrc'));
    }

    yo.fs.copy(yo.templatePath('template/shared/_eslintrc'), yo.destinationPath('.eslintrc'));
    yo.fs.copy(yo.templatePath('template/shared/_babelrc'), yo.destinationPath('.babelrc'));
    yo.fs.copyTpl(yo.templatePath('template/shared/_gitignore'), yo.destinationPath('.gitignore'), yo.context);
    yo.fs.copyTpl(yo.templatePath('template/shared/_package.json'), yo.destinationPath('package.json'), yo.context);
    yo.fs.copy(yo.templatePath('template/shared/_prettierrc'), yo.destinationPath('.prettierrc'));
  });
  return _writing.apply(this, arguments);
}